Download Transport Label
curl --request GET \
--url https://api.procuros.io/v2/transactions/{transportLabelUrl}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.procuros.io/v2/transactions/{transportLabelUrl}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.procuros.io/v2/transactions/{transportLabelUrl}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>"
}{
"message": "<string>"
}Transport Labels
Download Transport Label
Download the file content of a transport label. Use the value of the zplUrl or pdfUrl field from the transportLabel object of a transport unit (available on Shipping Notice and Dispatch Instruction Response transactions) as the transportLabelUrl path parameter, depending on whether you want the raw ZPL or the rendered PDF. The response is the streamed file content for download.
GET
/
v2
/
transactions
/
{transportLabelUrl}
/
download
Download Transport Label
Authorizations
The API Token of your ERP Connection.
Path Parameters
Value of the zplUrl or pdfUrl field from the transportLabel object of a transport unit.
Response
Success
Streamed file content of the transport label, in ZPL or PDF format depending on the URL used.
Was this page helpful?